/* ======================================== *
*         FONTS
* ========================================= */
 __fontName = 'font-MyriadPro';
 
 /* ==== FONTS ==== */
 fblack   = __fontName + '-Bolder', 'Roboto', sans-serif;
 fbold    = __fontName + '-Bold', 'Roboto', sans-serif;
 flight   = __fontName + '-Light', 'Roboto', sans-serif;
 fmedium  = __fontName + '-Medium', 'Roboto', sans-serif;
 fregular = __fontName + '-Regular', 'Roboto', sans-serif;
 fthin    = __fontName + '-Thin', 'Roboto', sans-serif;
 fglyph  	= 'font-glyphs';
 /* ==== ----- ==== */ 
 
 
 glyphFonts(__baseName) { 
 	__formatName = 'woff2'
 	@font-face {
 		font-family __baseName;
 		src: local(__baseName),
 		url( 'fonts/' + __baseName + '/' + __baseName + '.' + __formatName) format(__formatName);
 		font-style: normal;
 		font-weight: 400;
 		font-display: block ;
 	}
 }
 
 
 __fontFolder = 'fonts' + '/' + __fontName + '/' + __fontName + '-'
 __arrName = Thin Light Regular Medium Bold Bolder
 __arrNumb = 100 300 400 500 700 900
 
 forFonts(__fontName) {
 	@font-face {
 		font-family __fontName + '-' + __arrName[i];
 		src: local( __fontName + '_' + __arrName[i]),
 		 local( __fontName + '-' + __arrName[i] + ''),
 		url( __fontFolder + __arrNumb[i] + '.woff2') format('woff2'),
 		url( __fontFolder + __arrNumb[i] + '.woff') format('woff');
 		font-style: normal
 		font-weight: __arrNumb[i]
 		font-display: swap;
 	}
 }
 
for i in 0 .. 5 {
	forFonts('font-MyriadPro')
} 
 
glyphFonts(fglyph)
 